Package org.w3c.tidy

# Class DOMDocumentTypeImpl

java.lang.Object
org.w3c.tidy.DOMNodeImpl
org.w3c.tidy.DOMDocumentTypeImpl

All Implemented Interfaces:
  `DocumentType`, `Node`

public class DOMDocumentTypeImpl extends DOMNodeImpl implements DocumentType
DOMDocumentTypeImpl.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

### Fields inherited from class org.w3c.tidy.DOMNodeImpl

`adaptee`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMDocumentTypeImpl(Node adaptee)`
Instantiates a new DOM document type.

## Method Summary

Modifier and Type
Method
Description
`NamedNodeMap`
`getEntities()`
`String`
`getInternalSubset()`
`String`
`getName()`
`String`
`getNodeName()`
`short`
`getNodeType()`
`NamedNodeMap`
`getNotations()`
`String`
`getPublicId()`
`String`
`getSystemId()`

### Methods inherited from class org.w3c.tidy.DOMNodeImpl

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DOMDocumentTypeImpl

protected DOMDocumentTypeImpl(Node adaptee)
Instantiates a new DOM document type.

Parameters:
  `adaptee` - Tidy Node

## Method Details

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeType()`

### getNodeName

public String getNodeName()

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeName()`

### getName

public String getName()

Specified by:
  `getName` in interface `DocumentType`
See Also:
  - `DocumentType.getName()`

### getEntities

public NamedNodeMap getEntities()

Specified by:
  `getEntities` in interface `DocumentType`
See Also:
  - `DocumentType.getEntities()`
To Do:
  DOM level 2 getEntities() Not implemented. Returns null.

### getNotations

public NamedNodeMap getNotations()

Specified by:
  `getNotations` in interface `DocumentType`
See Also:
  - `DocumentType.getNotations()`
To Do:
  DOM level 2 getNotations() Not implemented. Returns null.

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `DocumentType`
See Also:
  - `DocumentType.getPublicId()`
To Do:
  DOM level 2 getPublicId() Not implemented. Returns null.

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `DocumentType`
See Also:
  - `DocumentType.getSystemId()`
To Do:
  DOM level 2 getSystemId() Not implemented. Returns null.

### getInternalSubset

public String getInternalSubset()

Specified by:
  `getInternalSubset` in interface `DocumentType`
See Also:
  - `DocumentType.getInternalSubset()`
To Do:
  DOM level 2 getInternalSubset() Not implemented. Returns null.